<%@ page language="C#" autoeventwireup="true" inherits="admin2_dd2a, GJ_YM" validaterequest="false" enableviewstatemac="false" enableEventValidation="false" %>
<head><title>无标题页</title></head><link href="css/yb.css" rel="stylesheet" type="text/css">
<script language="javascript" src="js/sbyk.js" ></script><script language="javascript" src="js/db.js" ></script>
<script language="javascript" >
function bmmm(){
var jj = document.getElementById('DropDownList1');
if(jj.value=="1"||jj.value=="2"){
document.getElementById('PlaceHolder1').style.display="";
document.getElementById('PlaceHolder2').style.display="";
document.getElementById('PlaceHolder3').style.display="";
document.getElementById('wx').innerHTML="";
}
else if(jj.value=="3"||jj.value=="4"||jj.value=="8"){
document.getElementById('PlaceHolder1').style.display="";
document.getElementById('PlaceHolder2').style.display="none";
document.getElementById('PlaceHolder3').style.display="";
if(jj.value=="8"){document.getElementById('wx').innerHTML="支持全国19家银行60余种银行卡，5分钟确认款项";}
else{document.getElementById('wx').innerHTML="";}
}
else
{
document.getElementById('PlaceHolder1').style.display="none";
document.getElementById('PlaceHolder2').style.display="none";
document.getElementById('PlaceHolder3').style.display="none";
if(jj.value=="7"){document.getElementById('wx').innerHTML="传统渠道，1至3个工作日确认款项";}
else if(jj.value=="9"){document.getElementById('wx').innerHTML="个人版支付宝收款主页";}
else{document.getElementById('wx').innerHTML="";}
}
}
var iu;
iu=0;
function checkformhy()
{
////alert(navigator.userAgent);
//if(navigator.userAgent.indexOf("irefox")>=0)
//{
//alert("抱歉，\r\n\r\n1.0版本系统暂不支持使用火狐浏览器修改后台商品描述等部分操作，\r\n\r\n请使用IE浏览器维护后台商品资料，\r\n\r\n或升级系统。");
//history.go("-1");
//}
if(iu==0){
var vv=document.getElementById('hid_mbbd').value;
if(vv!=""){window.frames[0].gjsetHTML(vv);}
iu=2;
}
}
function ks(id)
{
document.getElementById("hid_cz").value=id;
document.getElementById('hid_mbbd').value=window.frames[0].gjgetHTML();;
sendRequest('dd2c.aspx');
}
</script>
<body onload="checkformhy();bmmm();">
<form id="form1" runat="server">
<input type="hidden" name="hid_xz" id="hid_xz" /><input type="hidden" name="hid_cz" id="hid_cz" />
<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;">
<tr style="background-color:#f2f2f2;"><td >
<div class="bt"><asp:label ID="btxs" runat="server" text="添加支付方式 "></asp:label>
<span style="margin-left:30px;font-weight:normal;"><a href="dd2.aspx">支付方式列表</a></span>
</div>
</td></tr></table>

<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;">

<tr style="background-color:#ffffff;"><td align="right" style="padding:8px;">支付方式名称：</td>
<td ><asp:TextBox ID="v1" runat="server" Width="280px"></asp:TextBox>（可与下面的接口类型同名） </td></tr>

<tr style="background-color:#ffffff;"><td align="right" style="padding:8px;">接口类型：</td>
<td ><asp:DropDownList ID="DropDownList1" runat="server" onchange="bmmm();"></asp:DropDownList> <span id="wx" style="color:Blue;"></span></td></tr>

<tr style="background-color:#ffffff;" id="PlaceHolder1"><td align="right" style="padding:8px;">商户号：</td>
<td ><asp:TextBox ID="v3" runat="server" Width="280px"></asp:TextBox>（您在支付公司注册的账号） </td></tr>

<tr style="background-color:#ffffff;" id="PlaceHolder2"><td align="right" style="padding:8px;">商户邮件：</td>
<td ><asp:TextBox ID="v4" runat="server" Width="280px"></asp:TextBox> </td></tr>

<tr style="background-color:#ffffff;" id="PlaceHolder3"><td align="right" style="padding:8px;">商户密钥/校验码/验证码：</td>
<td ><asp:TextBox ID="v5" runat="server" Width="280px"></asp:TextBox> （有的支付公司称之为校验码或验证码等 ）</td></tr>

<tr style="background-color:#ffffff; display:none;"><td align="right" style="padding:8px;">手续费：</td>
<td ><asp:TextBox ID="v6" runat="server" Width="40px" Text="0"></asp:TextBox> % （手续费的金额根据订单金额按照设置的百分比收取，如果不需要顾客支付手续费，则为0）</td></tr>


<tr style="background-color:#ffffff;"><td align="right" style="padding:8px;">排序：</td>
<td ><asp:TextBox ID="v8" runat="server" Width="80px" Text="0"></asp:TextBox> （填数字，数字越小越靠前）</td></tr>

<tr style="background-color:#ffffff;"><td align="right" style="padding:8px;">详细内容：</td><asp:HiddenField ID="hid_mbbd" runat="server" />
<td > <IFRAME ID="Editor1" src="edit2.aspx?id=9&sp=00" frameborder="0" scrolling="no" width="100%" height="306px"></IFRAME> <br /><br /></td></tr>

</table>

<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-top:5px;">
<tr style="background-color:#f2f2f2;"><td >

<input id="Button1" type="button" value="添加" onclick="ks('4');" style="width:80px;" onfocus="this.blur();" />
<input id="Button2" type="button" value="修改" onclick="ks('5');" style="width:80px;" onfocus="this.blur();" />

</td></tr></table>    
<asp:Label ID="Label1" runat="server" Text=""></asp:Label>
<%=rfh()%>
</form>
</body>